#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QPushButton>
#include <QApplication>
#include <QFont>
#include <QVBoxLayout>
#include <QLCDNumber>
#include <QSlider>

class MyPushButton : public QPushButton
{
    Q_OBJECT

public:
    MyPushButton (QWidget *parent = 0);
    MyPushButton (const QString &text, QWidget *parent = 0);
    MyPushButton (int value, const QString &text, QWidget *parent = 0);
    ~MyPushButton ();
    void setPosition (int value);
    int getPosition ();

private:
    int position;

};

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void buttonPressed();

private:
    const static int NUMBUTTONS = 8;
    MyPushButton *buttons[NUMBUTTONS];
    QLCDNumber *lcd;
};


#endif // MAINWINDOW_H
